Package ch.qos.logback.access.pattern

## Class AccessConverter

- java.lang.Object
- - ch.qos.logback.core.pattern.Converter<E>
  - - ch.qos.logback.core.pattern.FormattingConverter<E>
    - - ch.qos.logback.core.pattern.DynamicConverter<IAccessEvent>
      - - ch.qos.logback.access.pattern.AccessConverter

All Implemented Interfaces:
  `ContextAware`, `LifeCycle`

Direct Known Subclasses:
  `ContentLengthConverter`, `DateConverter`, `ElapsedSecondsConverter`, `ElapsedTimeConverter`, `FullRequestConverter`, `FullResponseConverter`, `LineSeparatorConverter`, `LocalIPAddressConverter`, `LocalPortConverter`, `NAConverter`, `QueryStringConverter`, `RemoteHostConverter`, `RemoteIPAddressConverter`, `RemoteUserConverter`, `RequestAttributeConverter`, `RequestContentConverter`, `RequestCookieConverter`, `RequestHeaderConverter`, `RequestMethodConverter`, `RequestParameterConverter`, `RequestProtocolConverter`, `RequestURIConverter`, `RequestURLConverter`, `ResponseContentConverter`, `ResponseHeaderConverter`, `ServerNameConverter`, `SessionIDConverter`, `StatusCodeConverter`, `ThreadNameConverter`

    public abstract class AccessConverter
    extends DynamicConverter<IAccessEvent>
    implements ContextAware

### Field Summary

Fields
`static char` `QUESTION_CHAR`
`static char` `SPACE_CHAR`

### Fields inherited from class ch.qos.logback.core.pattern.DynamicConverter

`started`

### Constructor Summary

Constructors
`AccessConverter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addError​(java.lang.String msg)`
`void` `addError​(java.lang.String msg, java.lang.Throwable ex)`
`void` `addInfo​(java.lang.String msg)`
`void` `addInfo​(java.lang.String msg, java.lang.Throwable ex)`
`void` `addStatus​(Status status)`
`void` `addWarn​(java.lang.String msg)`
`void` `addWarn​(java.lang.String msg, java.lang.Throwable ex)`
`Context` `getContext()`
`void` `setContext​(Context context)`

### Methods inherited from class ch.qos.logback.core.pattern.DynamicConverter

`getFirstOption, getOptionList, isStarted, setOptionList, start, stop`

### Methods inherited from class ch.qos.logback.core.pattern.FormattingConverter

`getFormattingInfo, setFormattingInfo, write`

### Methods inherited from class ch.qos.logback.core.pattern.Converter

`convert, getNext, setNext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SPACE_CHAR

    public static final char SPACE_CHAR

See Also:
  Constant Field Values

#### QUESTION_CHAR

    public static final char QUESTION_CHAR

See Also:
  Constant Field Values

### Constructor Detail

#### AccessConverter

    public AccessConverter()

### Method Detail

#### setContext

    public void setContext​(Context context)

Specified by:
  `setContext` in interface `ContextAware`
Overrides:
  `setContext` in class `DynamicConverter<IAccessEvent>`

#### getContext

    public Context getContext()

Specified by:
  `getContext` in interface `ContextAware`
Overrides:
  `getContext` in class `DynamicConverter<IAccessEvent>`

#### addStatus

    public void addStatus​(Status status)

Specified by:
  `addStatus` in interface `ContextAware`
Overrides:
  `addStatus` in class `DynamicConverter<IAccessEvent>`

#### addInfo

    public void addInfo​(java.lang.String msg)

Specified by:
  `addInfo` in interface `ContextAware`
Overrides:
  `addInfo` in class `DynamicConverter<IAccessEvent>`

#### addInfo

    public void addInfo​(java.lang.String msg,
                        java.lang.Throwable ex)

Specified by:
  `addInfo` in interface `ContextAware`
Overrides:
  `addInfo` in class `DynamicConverter<IAccessEvent>`

#### addWarn

    public void addWarn​(java.lang.String msg)

Specified by:
  `addWarn` in interface `ContextAware`
Overrides:
  `addWarn` in class `DynamicConverter<IAccessEvent>`

#### addWarn

    public void addWarn​(java.lang.String msg,
                        java.lang.Throwable ex)

Specified by:
  `addWarn` in interface `ContextAware`
Overrides:
  `addWarn` in class `DynamicConverter<IAccessEvent>`

#### addError

    public void addError​(java.lang.String msg)

Specified by:
  `addError` in interface `ContextAware`
Overrides:
  `addError` in class `DynamicConverter<IAccessEvent>`

#### addError

    public void addError​(java.lang.String msg,
                         java.lang.Throwable ex)

Specified by:
  `addError` in interface `ContextAware`
Overrides:
  `addError` in class `DynamicConverter<IAccessEvent>`